Bug 136074 - nifd sends error messages to /dev/null by default
nifd sends error messages to /dev/null by default
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: howl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-17 12:15 EDT by Russell Coker
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 16:48:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2004-10-17 12:15:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
Error and status messages are written to file handle 2.  Due to daemon(0,0) being called in the early stages of startup file handle 2 is /dev/null.  Below is some strace output of a default configuration of nifd in operation when an Ethernet cable has been unplugged and plugged in again.  As you can see the error messages are sent to /dev/null and no-where else.

ioctl(8, SIOCGIFADDR, 0xfefa5360)       = -1 EADDRNOTAVAIL (Cannot assign requested address)
write(2, "[howl] couldn\'t get ip address f"..., 64) = 64
ioctl(8, SIOCGIFHWADDR, 0xfefa5360)     = 0
ioctl(8, SIOCGIFFLAGS, 0xfefa5360)      = 0
ioctl(8, SIOCGIFINDEX, {3, "sit0"})     = 0
socket(PF_INET, SOCK_DGRAM, IPPROTO_IP) = 9
ioctl(9, SIOCETHTOOL, 0xfefa52d0)       = -1 EINVAL (Invalid argument)
write(2, "[assert] error: 22 (Invalid argu"..., 128) = 128


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Observe that nifd logs nothing to syslog.

Expected Results:  The sw_debug() function should call syslog() by default.

Additional info:
Comment 1 John Thacker 2006-10-30 16:48:33 EST
FC3 and FC4 are currently maintained by Fedora Legacy for security fixes only. 
howl is currently obsolete and has been replaced by avahi in the still fully
supported versions of Fedora Core, FC5 and FC6.  Since this is not a security
bug, it will not be fixed.  avahi has a substantial amount of changes from howl,
so please retest this bug against a newer install of Fedora Core if possible. 
If a similar bug is present in FC5 or FC6, please reopen the bug and change the
component to avahi.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.